Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.principal
Class WLSAbstractPrincipal

    java.lang.Object
      |
      +--weblogic.security.principal.WLSAbstractPrincipal

Direct Known Subclasses:
  WLSGroupImpl, WLSUserImpl

public abstract class WLSAbstractPrincipal
extends java.lang.Object
implements WLSPrincipal

The `WLSAbstractPrincipal` class is a convenience abstract class that implements a principal whose name field will be signed by the PrincipalValidatorImpl class. To use this class, you should make the `PrincipalValidatorImpl` class the runtime class for your Principal Validation provider, or extend that class and make the extended class your Principal Validation provider.

Note: Use of this class is not required by WebLogic Server. It is simply a convenience class.

Author:
  Copyright (c) 2003 by BEA. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`protected` | `WLSAbstractPrincipal()` Constructs an instance of the `WLSAbstractPrincipal` class.

Method Summary
`boolean` | `equals(java.lang.Object another)` Compares this principal to the principal in the specified object.
`java.lang.String` | `getName()` Gets the name of this principal.
`byte[]` | `getSalt()` Gets the principal's salt.
`byte[]` | `getSignature()` Gets the derived principal's trust signature.
`byte[]` | `getSignedData()` Gets the derived principal's signing data, which is used to generate the trust signature.
`int` | `hashCode()` Returns a hashcode for the name of this principal.
`protected void` | `setName(java.lang.String name)` Sets the name of this principal.
`void` | `setSalt(byte[] salt)` Sets the principal's salt.
`void` | `setSignature(byte[] signature)` Sets the derived principal's trust signature.
`java.lang.String` | `toString()` Returns a String representation of this principal.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WLSAbstractPrincipal

    protected WLSAbstractPrincipal()

  Constructs an instance of the `WLSAbstractPrincipal` class.

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of this principal.

  Returns:
    the name of this principal, represented as a String.

  See Also:
    `setName(java.lang.String)`

### setName

    protected void setName(java.lang.String name)

  Sets the name of this principal.

  Parameters:
    `name` - the name of this principal, represented as a String.

  See Also:
    `getName()`

### equals

    public boolean equals(java.lang.Object another)

  Compares this principal to the principal in the specified object.

  Parameters:
    `another` - the other principal with which to compare this principal.

  Returns:
    `TRUE` if the principal passed in matches the principal passed in, and `FALSE` otherwise.

  Overrides:
    equals in class java.lang.Object

### toString

    public java.lang.String toString()

  Returns a String representation of this principal.

  Returns:
    this principal, represented as a String.

  Overrides:
    toString in class java.lang.Object

### hashCode

    public int hashCode()

  Returns a hashcode for the name of this principal.

  Returns:
    the name of this principal, represented as an int.

  Overrides:
    hashCode in class java.lang.Object

### getSignature

    public byte[] getSignature()

  Gets the derived principal's trust signature.

  Specified by:
    getSignature in interface WLSPrincipal

  Returns:
    the derived principal's trust signature, represented as an array of bytes.

  See Also:
    `setSignature(byte[])`

### setSignature

    public void setSignature(byte[] signature)

  Sets the derived principal's trust signature.

  Specified by:
    setSignature in interface WLSPrincipal

  Parameters:
    `signature` - the derived principal's trust signsture, represented as an array of bytes.

  See Also:
    `getSignature()`

### getSalt

    public byte[] getSalt()

  Gets the principal's salt.

  Specified by:
    getSalt in interface WLSPrincipal

  Returns:
    the principal's salt, represented as an array of bytes.

  See Also:
    `setSalt(byte[])`

### setSalt

    public void setSalt(byte[] salt)

  Sets the principal's salt.

  Parameters:
    `salt` - the principal's salt, represented as an array of bytes.

  See Also:
    `getSalt()`

### getSignedData

    public byte[] getSignedData()

  Gets the derived principal's signing data, which is used to generate the trust signature.

  Specified by:
    getSignedData in interface WLSPrincipal

  Returns:
    the derived principal's signing data, represented as a sequence of bytes in the platform's default charset.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference